Subject: What's going on here with directory contents?
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Thu, 24 Oct 2002 11:40:38 -0400

I get the following from the bash shell:

> chuck@AEYRIEONE ~
> $ which whatis
> /usr/bin/whatis
> 
> chuck@AEYRIEONE ~
> $ ls -lap /usr/bin/wha*
> -rwxr-xr-x    1 chuck    unknown      1743 Apr 20  2000 /usr/bin/whatis
> 
> chuck@AEYRIEONE ~
> $ ls -lap /bin/wha*
> -rwxr-xr-x    1 chuck    unknown      1743 Apr 20  2000 /bin/whatis

however I find the following from the DOS/4dos shell:

> [1] c:\cygwin>dir /a: usr\bin\
> 
>  Volume in drive C is WD30-PRI41     Serial number is 3CE4:239B
>  Directory of  C:\cygwin\usr\bin\*
> 
> 10-11-02   4:09         <DIR>    .
> 10-11-02   4:09         <DIR>    ..
>               0 bytes in 0 files and 2 dirs
> 
> [1] c:\cygwin>dir /a: bin\wha*
> 
>  Volume in drive C is WD30-PRI41     Serial number is 3CE4:239B
>  Directory of  C:\cygwin\bin\wha*
> 
>  4-20-00  20:51           1,743  whatis
>           1,743 bytes in 1 file and 0 dirs    4,096 bytes allocated

In other words the apparent directories existing under cygwin are
actually empty!  For my own peace of mind I would like to know
what machinations are occurring :-)

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/